Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002832 [JEDI VCL] 00 JVCL Components block always 2005-04-02 09:49 2008-02-20 15:40
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status closed   Product Version 3.00
Summary 0002832: TJvHttpUrlGrabber does not work within a JvPlugin
Description The behavior between JVcl 2 & 3 has changed. The component works as expected in a standalone app. However within a plugin, it does not. It appears that the thread never performs any processing. It can be demonstarted using the attached code/plugin with the sample demo
Delphi7\jvcl\examples\JvPlugin\1SimplePlugin. Upon receiving the command0, the plugin starts the grabber. It will never finish unless further commands are sent(command2 or 3) to the plugin from the host app.
Thanks,
Bill
Additional Information
Tags No tags attached.
Attached Files zip file icon 1SimplePlugin.zip [^] (5,861 bytes) 2005-04-02 09:49

- Relationships

-  Notes
(0008762)
obones (administrator)
2006-03-30 07:23

I just tried, it worked just fine. The website may take a lot of time to answer, but apart from that, it works just fine. As this is threaded, the call to the plugin command will of course return immediately.
(0014190)
anonymous (viewer)
2008-02-20 09:38

This issue could be appeared when using TJvHttpUrlGrabber in the DLL but works fine in the stand alone App.
(0014196)
obones (administrator)
2008-02-20 15:40

As I said, no it works. Please use the latest version (3.33) and leave this issue alone. Should you have any other problem, register for a login and post a new issue.

- Issue History
Date Modified Username Field Change
2005-04-02 09:49 anonymous New Issue
2005-04-02 09:49 anonymous File Added: 1SimplePlugin.zip
2005-04-12 00:38 obones Status new => assigned
2005-04-12 00:38 obones Assigned To => obones
2006-03-30 07:23 obones Status assigned => resolved
2006-03-30 07:23 obones Resolution open => fixed
2006-03-30 07:23 obones Note Added: 0008762
2008-02-20 09:38 anonymous Status resolved => feedback
2008-02-20 09:38 anonymous Resolution fixed => reopened
2008-02-20 09:38 anonymous Note Added: 0014190
2008-02-20 15:40 obones Status feedback => closed
2008-02-20 15:40 obones Note Added: 0014196
2008-02-20 15:40 obones Resolution reopened => fixed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker